function [ElemConn] = getConnectivity(Nelm,ElemInfo)

% DON'T EDIT THIS FUNCTION

disp(' DETERMING CONNECTIVITY       :    STARTED ****');
f  = [1,2,3,4,5,6];
F1 = [1,2,5,6];
F2 = [2,3,6,7];
F3 = [3,4,7,8];
F4 = [1,4,5,8];
F5 = [1,2,3,4];
F6 = [5,6,7,8];
Faces = [F1;F2;F3;F4;F5;F6];

ElemConn = ones(6*Nelm,4);

for e=1:Nelm
    start = 6*e-5;a=1;
    for i=start:start+5   
        ElemConn(i,1) = e;
        ElemConn(i,2) = f(a);
        a=a+1;
    end
end

for j=1:6*Nelm
   
temp = zeros(1,5);
a=1;
for i=1:Nelm
    for c=2:9
        if ElemInfo(i,c) == ElemInfo(ElemConn(j,1),Faces(ElemConn(j,2),1)+1)
            temp(a,1)=i;
            temp(a,2)=c-1;
            a=a+1;
        end
    end
end

temp2 = zeros(1,5);
a=1;
for i=1:length(temp(:,1))
    for c=2:9
        if ElemInfo(temp(i,1),c) == ElemInfo(ElemConn(j,1),Faces(ElemConn(j,2),2)+1)
            temp2(a,:)=temp(i,:);
            temp2(a,3)=c-1;
            a=a+1;
        end
    end
end

temp3=zeros(1,5);
a=1;
for i=1:length(temp2(:,1))
    for c=2:9
        if ElemInfo(temp2(i),c) == ElemInfo(ElemConn(j,1),Faces(ElemConn(j,2),3)+1)
            temp3(a,:)=temp2(i,:);
            temp3(a,4)=c-1;  
            a=a+1;
        end
    end
end

temp4=zeros(1,5);
a=1;

for i=1:length(temp3(:,1))
    for c=2:9
        if ElemInfo(temp3(i),c) == ElemInfo(ElemConn(j,1),Faces(ElemConn(j,2),4)+1)
            temp4(a,:)=temp3(i,:);
            temp4(a,5)=c-1;  
            a=a+1;
        end
    end
end

a=1;
if length(temp4(:,1))==1 & temp4(1,1)==ElemConn(j,1)
    Conn=[0,0];
else
    while a<=length(temp4(:,1))
        if temp4(a,1)==ElemConn(j,1)
            temp4(a,:)=[];
            a=0;        
        end
        a=a+1;
    end
    Elem=temp4(1);
    temp4(:,1)=[];
    for r=1:length(Faces(:,1))
        if sort(temp4)==Faces(r,:)
              Conn=[Elem, r];
        end
    end 

end

            if length(temp4(:,1))>=2  
                Conn=[0,0]; 
            end
            
    ElemConn(j,3)=Conn(1);
    ElemConn(j,4)=Conn(2);

end 
disp('                                   DONE');
pause(.25); 
end