function [Curve] = getCurveSides(ElemConn,ElemMidPts,Nelm,Pts,ElemInfo,Rlimit)
disp(' DETERMING CURVED SIDES       :    STARTED ****');
    Curve = zeros(1,7);
    EgCk = [1,5;2,5;3,5;4,5;1,6;2,6;3,6;4,6;1,4;2,1;3,2;4,3];
    StCk = [1,2;2,3;3,4;4,1;5,6;6,7;7,8;8,5;1,5;2,6;3,7;4,8];
    i = 1;
    for e = 1:Nelm  % 3D ONLY for now

       sides = zeros(12,5);
       Econn = find(ElemConn(:,1) == e);
       for s = 1:12
           sides(s,1:3) = Pts(ElemMidPts(e,s+1),2:4);
           sides(s,4:5) = 0.00000;
           
           p1 = sides(s,1:3);
           p2 = Pts(ElemInfo(e,StCk(s,1)+1),2:4);
           p3 = Pts(ElemInfo(e,StCk(s,2)+1),2:4);
           
           EdgeStraight = checkEdge(p1,p2,p3,Rlimit);
           if EdgeStraight ~= 1
%                A = ElemConn(Econn(EgCk(s,1)),3);
%                B = ElemConn(Econn(EgCk(s,2)),3);
%                if A == 0 | B == 0
%                    Curve(i,:) = [s,e,sides(s,:)];
%                    i = i+1;
%                else
%                    EconnC = find(ElemConn(:,1) == ElemConn(Econn(EgCk(s,1)),3));
%                    C = ElemConn(EconnC(EgCk(s,2)),3);
%                    EconnD = find(ElemConn(:,1) == ElemConn(Econn(EgCk(s,2)),3));
%                    D = ElemConn(EconnC(EgCk(s,1)),3);
%                    if C == 0 | B == 0
                       Curve(i,:) = [s,e,sides(s,:)];
                       i = i+1;
%                    end
%                end
           end
       end  
    end 
disp('                                   DONE');
end