function [ElemMidPts2] = orderMidPts(ElemMidPts1,Nelm,Pts,Dim)
disp(' ORDERING ALL ELEM MID PTS    :    STARTED ****');
         bottom = zeros(Nelm,4);
         top    = zeros(Nelm,4);
         sides  = zeros(Nelm,4);

         for i = 1:length(ElemMidPts1(:,1))

             before = zeros(4,12);
             before(1,:) = ElemMidPts1(i,2:length(ElemMidPts1(i,:)));
             temp = getElemPts(i,ElemMidPts1,Pts,Dim);
             before(2,:) = temp(1,:);
             before(3,:) = temp(2,:);
             before(4,:) = temp(3,:);
             Zc = mean(before(4,:));
             %%%%%%%%%%%%%%%%%%%%%%%%%% Finds MidPts on bottom 
             for b=1:4
                [C,k] = min(before(4,:));           
                bottom(i,b) = before(1,k);
                before(:,k) = [];
             end
              %%%%%%%%%%%%%%%%%%%%%%%%%% Finds MidPts on top
              for b=1:4
                [C,k] = max(before(4,:));           
                top(i,b) = before(1,k);
                before(:,k) = [];
             end
             %%%%%%%%%%%%%%%%%%%%%%%%%% Remaining MidPts are on the sides
             sides(i,:) = before(1,:);
         end
             %%%%%%%%%%%%%%%%%%%%%%%%%% Next, Need to put each midpt in the 
             %             matrices created above in the correct edge order
             
             for h=1:length(bottom(:,1))

                before = bottom(h,:);
                for i=1:length(before)
                    for j = 2:4
                        before(j,i) = Pts(before(1,i),j);
                    end
                end
                
                    [C,k] = max(before(2,:));   % MidPt on edge 1
                    bottom(h,1) = before(1,k);
                    [C,k] = max(before(3,:));   % MidPt on edge 2
                    bottom(h,2) = before(1,k);
                    [C,k] = min(before(2,:));   % MidPt on edge 3
                    bottom(h,3) = before(1,k);
                    [C,k] = min(before(3,:));   % MidPt on edge 4
                    bottom(h,4) = before(1,k);           
               
                before = top(h,:);
                for i=1:length(before)
                    for j = 2:4
                        before(j,i) = Pts(before(1,i),j);
                    end
                end
                
                [C,k] = max(before(2,:));   % MidPt on edge 5
                top(h,1) = before(1,k);
                [C,k] = max(before(3,:));   % MidPt on edge 6
                top(h,2) = before(1,k);
                [C,k] = min(before(2,:));   % MidPt on edge 7
                top(h,3) = before(1,k);
                [C,k] = min(before(3,:));   % MidPt on edge 8
                top(h,4) = before(1,k);

                
                 %%%%%%%%%%%%%%%%%%%%%%%%%% 
                before = sides(h,:);
                for i=1:length(before)
                    for j = 2:4
                        before(j,i) = Pts(before(1,i),j);
                    end
                end
                
                RS = zeros(4,2);
                LS = zeros(4,2);
                
                for b=1:2
                    [C,k] = max(before(2,:));           
                    RS(:,b) = before(:,k);
                    before(:,k) = [];
                end
                LS = before;
                 
                [C,k] = min(RS(3,:));    % MidPt on edge 9
                sides(h,1) = RS(1,k);
                [C,k] = max(RS(3,:));    % MidPt on edge 10
                sides(h,2) = RS(1,k);
                [C,k] = max(LS(3,:));    % MidPt on edge 11
                sides(h,3) = LS(1,k);
                [C,k] = min(LS(3,:));    % MidPt on edge 12
                sides(h,4) = LS(1,k);

             end
          
            ElemMidPts2 = zeros(length(ElemMidPts1(:,1)),12);
            ElemMidPts2(:,1) = ElemMidPts1(:,1);
            ElemMidPts2(:,2:5) = bottom(:,1:4);
            ElemMidPts2(:,6:9) = top(:,1:4);
            ElemMidPts2(:,10:13) = sides(:,1:4);
disp('                                   DONE');
pause(.25); 
end